import request from '@/utils/request'

// 查询中药科普管理列表
export function listChineseMedicine(query) {
  return request({
    url: '/store/his/chineseMedicine/list',
    method: 'get',
    params: query
  })
}

// 查询中药科普管理详细
export function getChineseMedicine(id) {
  return request({
    url: '/store/his/chineseMedicine/' + id,
    method: 'get'
  })
}
// 下载导入模板
export function importTemplate() {
  return request({
    url: '/store/his/chineseMedicine/importTemplate',
    method: 'get'
  })
}
// 新增中药科普管理
export function addChineseMedicine(data) {
  return request({
    url: '/store/his/chineseMedicine',
    method: 'post',
    data: data
  })
}

// 修改中药科普管理
export function updateChineseMedicine(data) {
  return request({
    url: '/store/his/chineseMedicine',
    method: 'put',
    data: data
  })
}

// 删除中药科普管理
export function delChineseMedicine(id) {
  return request({
    url: '/store/his/chineseMedicine/' + id,
    method: 'delete'
  })
}

// 导出中药科普管理
export function exportChineseMedicine(query) {
  return request({
    url: '/store/his/chineseMedicine/export',
    method: 'get',
    params: query
  })
}
